#include <stdio.h>
#include <string.h>
#include <conio.h>


typedef struct {
    char Name[60];
    char Vorname[60];
    char Strasse[40];
    char PLZ[10];
    char Wohnort[40];
    char Telefon[40];
    char Email[40];
} t_adres;


void initAdres(t_adres *adr) {
    adr->Name[0] = '\0';
    adr->Vorname[0] = '\0';
    adr->Strasse[0] = '\0';
    adr->PLZ[0] = '\0';
    adr->Wohnort[0] = '\0';
    adr->Telefon[0] = '\0';
    adr->Email[0] = '\0';
}

void enterAdres(t_adres *adr) {
	char buf[60];
    printf("\x1b\x45");	 // ESC E -> Clear screen
    printf("\x1b\x48");  // ESC H -> Home
    printf("Nachname: ");
    fgets(buf,60,stdin);	
    strcpy(adr->Name[0],buf);	
    printf("Vorname : ");
    fgets(buf,60,stdin);	
    strcpy(adr->Vorname[0],buf);	
    printf("Strasse : ");
    fgets(buf,40,stdin);	
    strcpy(adr->Strasse[0],buf);
    printf("PLZ     : ");
    fgets(buf,10,stdin);	
    strcpy(adr->PLZ[0],buf);
    printf("Wohnort : ");
    fgets(buf,40,stdin);	
    strcpy(adr->Wohnort[0],buf);
    printf("Telefon : ");
    fgets(buf,40,stdin);	
    strcpy(adr->Telefon[0],buf);
    printf("Email   : ");
    fgets(buf,40,stdin);	
    strcpy(adr->Email[0],buf);
}




/* Main
 */
int main(void) {
    char filenameAdres[13];
    char filenameTxt[13];
    FILE *fpAdres;
    char Antwort[10];
	char c;
    t_adres adr;

    strcpy(filenameAdres, "M:ADR.TXT");
    fpAdres = fopen(filenameAdres, "a");
    if (fpAdres == NULL) {
        printf("Fehler: Adressdatei %s nicht gefunden!\n", filenameAdres);
        return -1;
    }

    // Zeilen eingeben
    do {
        initAdres(adr);
        enterAdres(adr);
/*		writeAdres(fpAdres,adr);*/
		printf("Moechten Sie noch eine Adresse eingeben?");
		fgets(Antwort[0],10,stdin);
		c = Antwort[0];
    } while (c == 'j' || c == 'J');

    putchar('\n');

    fclose(fpAdres);

    return 0;
}
