#include <stdio.h>
#include <conio.h>
#include "forms3.h"

#define COL_LBL 2
#define COL_INP0 17

FormElement *element;
char msg[12];

// Initializes the form elements. This procedure is called from initForm.
void initFormElements(uint8_t formIdx) {
	uint8_t row;

    switch (formIdx) {
        case 0:
		    row = 4;
            addField(ftText, 40, "Name", COL_LBL, row, COL_INP0, row, false);
			row += 2;
            newAndLinkWithPrevElement();
            addField(ftText, 40, "Vorname", COL_LBL, row, COL_INP0, row, false);
			row += 2;
            newAndLinkWithPrevElement();
            addField(ftText, 40, "Strasse", COL_LBL, row, COL_INP0, row, false);
			row += 2;
            newAndLinkWithPrevElement();
            addField(ftText, 10, "PLZ", COL_LBL, row, COL_INP0, row, false);
			row += 2;
            newAndLinkWithPrevElement();
            addField(ftText, 40, "Wohnort", COL_LBL, row, COL_INP0, row, false);
			row += 2;
            newAndLinkWithPrevElement();
            addField(ftText, 40, "Telefon", COL_LBL, row, COL_INP0, row, false);
			row += 2;
            newAndLinkWithPrevElement();
            addField(ftText, 40, "eMail", COL_LBL, row, COL_INP0, row, false);
           
			row += 4;
			newAndLinkWithPrevElement();
			addButton(other, 1, row, 15, "-->"); // Button 1
			newAndLinkWithPrevElement();
			addButton(cancel, 20, row, 15, "Abbrechen"); // Button 2            newAndLinkWithPrevElement();

            break;

    }
}


// Writes the current field's text and moves to the next element.
void SaveToFile() {
	Field *field;
    char filenameAdres[13];
    FILE *fpAdres;

    strcpy(filenameAdres, "M:ADR.TXT");
    fpAdres = fopen(filenameAdres, "a");
    if (fpAdres == NULL) {
        printf("Fehler: Adressdatei %s nicht gefunden!\n", filenameAdres);
        return -1;
    }
	
	field = getField(2);
	fprintf(fpAdres,"%s ", field->txt);
	field = getField(1);
	fprintf(fpAdres,"%s\n", field->txt);	
	field = getField(3);
	fprintf(fpAdres,"%s\n", field->txt);	
	field = getField(4);
	fprintf(fpAdres,"%s ", field->txt);
	field = getField(5);
	fprintf(fpAdres,"%s\n", field->txt);	
	field = getField(6);
	fprintf(fpAdres,"%s\n", field->txt);	
	field = getField(7);
	fprintf(fpAdres,"%s\n", field->txt);	
	fclose(fpAdres);
}

// Writes the current field's text and moves to the next element.
void nextField() {
  printf("%s\n", element->field->txt);
  element = element->next;
}


// Writes the current button's activation status and moves to the next element.
void nextButton() {
  if (element->button->activated)
      puts("yes");
  else
      puts("no");
  element = element->next;
}


// Displays a headline.
void headline() {
  clearScreen();
  puts("Adress-Eingabe\n\n\n");
}


int main(void) {
	bool processing;
	setDecimalChar(',');
	setMessageLine(31);

	initForm(0);
  
	do {
		headline();
		selectForm(0);
		processForm();
		SaveToFile();
		if (formCancelled()) {
			// actions upon termination
			processing = false;}
		else {
			// actions upon confirmed input *)
			processing = true;}

		} while (processing); 
  
	destroyAllForms(0);
	closeForms();
	
    waitForKey();
	
  return 0;
}
